<template>
	<div>
        <div class="field">
            <p class="control">
                <select v-model="region" class="input" name="country_id" @change="loadCities">
                	<option value="">Select Region</option>
                	<option v-for="region in regions" :value="region.id">{{ region.name }}</option>
                </select>
            </p>
        </div>

        <div class="field">
            <p class="control">
                <select v-model="city" class="input" name="city_id" @change="loadDistricts">
                	<option value="">Select City</option>
                	<option v-for="city in cities" :value="city.id">{{ city.name }}</option>
                </select>
            </p>
        </div>

        <div class="field" v-if="districts.length != 0">
            <p class="control">
                <select v-model="district" class="input" name="district_id">
                	<option value="">Select District</option>
                	<option v-for="district in districts" :value="district.id">{{ district.name }}</option>
                </select>
            </p>
        </div>

        <div class="is-clearfix"></div>
	</div>
</template>

<script>
import {baseUrl} from './../../config'

export default {

  data () {
    return {
    	regions: [],
    	cities: [],
    	districts: [],
    	region: '',
    	city: '',
    	district: ''
    }
  },

  mounted () {
  	this.loadRegions()
  },

  methods : {
  	loadRegions () {
  		let url = baseUrl + '/api/v1/regions'
  		this.dynamicDropdown (url, 'regions')
  	},

  	loadCities () {
  		this.refresh()
  		let url = baseUrl + `/api/v1/cities/${this.region}`
  		this.dynamicDropdown (url, 'cities')
  	},

  	loadDistricts () {
  		let url = baseUrl + `/api/v1/districts/${this.city}`
  		this.dynamicDropdown (url, 'districts')
  	},

  	dynamicDropdown (url, data) {
  		axios.get(url)
  			 .then(response => this[data] = response.data)
  			 .catch(error => console.log(error))
  	},

  	refresh () {
  		this.cities = []
  		this.districts = []
  	}
  }

}
</script>

<style>
</style>